org.keycloak.dom.saml.v2.ac.classes

## Class PhysicalVerification

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.PhysicalVerification

-     public class PhysicalVerification
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="credentialLevel">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="primary"/>
                   <enumeration value="secondary"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `credentialLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhysicalVerification()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCredentialLevel()` Gets the value of the credentialLevel property.
    `void` | `setCredentialLevel(String value)` Sets the value of the credentialLevel property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### credentialLevel

          protected String credentialLevel

  - ### Constructor Detail

    - #### PhysicalVerification

          public PhysicalVerification()

  - ### Method Detail

    - #### getCredentialLevel

          public String getCredentialLevel()

      Gets the value of the credentialLevel property.
      Returns:
        possible object is `String`

    - #### setCredentialLevel

          public void setCredentialLevel(String value)

      Sets the value of the credentialLevel property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.